## magnum 6.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Despite above warning added by global sync process, please use
# ascii betical order.

Babel!=2.4.0,>=2.3.4 # BSD
PyYAML>=3.10 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
WSME>=0.8.0 # MIT
WebOb>=1.7.1 # MIT
alembic>=0.8.10 # MIT
cliff!=2.9.0,>=2.8.0 # Apache-2.0
decorator>=3.4.0 # BSD
docker>=2.4.2 # Apache-2.0
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
iso8601>=0.1.11 # MIT
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.3.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
kubernetes>=4.0.0 # Apache-2.0
marathon!=0.9.1,>=0.8.6 # MIT
netaddr>=0.7.18 # BSD
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
Werkzeug>=0.7 # BSD License

=== debian/changelog ===
magnum (6.1.0-0ubuntu1) bionic; urgency=medium

  * New upstream point release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/use-lower-kubernetesclient.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Feb 2018 17:48:34 -0500

magnum (6.0.1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/revert-move-to-docker-2.0.0.patch: Rebased.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/use-lower-kubernetesclient.patch: Rebased and renamed. Updated to
    use python-kubernetes >= 1.0.0.
  * d/control: Add lsb-release for d/revert-move-to-docker-2.0.0.patch.
  * d/rules, d/magnum-common.postinst.in, d/magnum-common.install: Drop
    policy.json in line with upstream policy in code, and update config
    file install.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 12:09:33 -0500

=== debian/control ===
Source: magnum
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 dh-systemd,
 openstack-pkg-tools (>= 53~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools (>= 24.0.0),
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bandit,
 lsb-release,
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-bashate (>= 0.5.1),
 python-cliff (>= 2.8.0),
 python-coverage (>= 4.0),
 python-cryptography (>= 1.9),
 python-decorator (>= 3.4.0),
 python-doc8 (>= 0.6.0),
 python-docker (>= 1.8.1),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-glanceclient (>= 1:2.8.0),
 python-greenlet (>= 0.3.2),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-iso8601 (>= 0.1.11),
 python-jsonpatch (>= 1.16),
 python-kubernetes (>= 2.0.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-marathon (>= 0.8.6),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-paramiko (>= 2.0),
 python-pecan (>= 1.0.0),
 python-pep8,
 python-prettytable,
 python-pycadf (>= 1.1.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 1.0.0),
 python-taskflow (>= 2.16.0),
 python-tempest (>= 1:16.1.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tz (>= 2013.6),
 python-urllib3 (>= 1.15.1),
 python-webob (>= 1:1.7.1),
 python-werkzeug (>= 0.7),
 python-wsme (>= 0.8.0),
 python-yaml (>= 3.10),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
Homepage: https://github.com/openstack/magnum
XS-Testsuite: autopkgtest

Package: magnum-api
Architecture: all
Depends:
 magnum-common (= ${binary:Version}),
 python-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-magnum (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python-magnum
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-cliff (>= 2.8.0),
 python-cryptography (>= 1.9),
 python-decorator (>= 3.4.0),
 python-docker (>= 1.8.1),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-glanceclient (>= 1:2.8.0),
 python-greenlet (>= 0.3.2),
 python-heatclient (>= 1.10.0),
 python-iso8601 (>= 0.1.11),
 python-jsonpatch (>= 1.16),
 python-kubernetes (>= 2.0.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-marathon (>= 0.8.6),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-osprofiler (>= 1.4.0),
 python-paramiko (>= 2.0),
 python-pbr (>= 2.0.0),
 python-pecan (>= 1.0.0),
 python-prettytable,
 python-pycadf (>= 1.1.0),
 python-requests (>= 2.14.2),
 python-setuptools (>= 24.0.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-taskflow (>= 2.16.0),
 python-urllib3 (>= 1.15.1),
 python-webob (>= 1:1.7.1),
 python-werkzeug (>= 0.7),
 python-wsme (>= 0.8.0),
 python-yaml (>= 3.10),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack containers as a service - Python library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd,sphinxdoc

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

	dh_install --fail-missing
	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--config-file etc/magnum/magnum-config-generator.conf \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_concurrency lock_path /var/lock/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_protocol http

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python2.7/dist-packages/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT bindir /usr/bin
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lib/magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf api host 0.0.0.0

	cp etc/magnum/api-paste.ini $(CURDIR)/debian/magnum-common/usr/share/magnum-common

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.config

override_dh_clean:
	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit --parallel | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

=== debian/tests/control ===
Tests: python-magnum magnum-daemons
Depends: python-magnum, magnum-common, magnum-api, magnum-conductor
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
 http://tarballs.openstack.org/magnum magnum-(\d.*)\.tar\.gz

## magnum 6.1.1

=== debian/changelog ===
magnum (6.1.1-0ubuntu1) cosmic; urgency=medium

  * d/control: Update Standards-Version to 4.1.4.
  * New upstream point release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 10:56:08 -0400

magnum (6.1.0-0ubuntu3) cosmic; urgency=medium

  * d/tests/*: Add Python 3 daemon tests and Python 2/3 shebang tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Jun 2018 16:51:53 -0400

magnum (6.1.0-0ubuntu2) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-magnum package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      magnum-common depends on python-magnum by default and python3-magnum
      as alternative. magnum-api does the same for python-openstackclient.
    - d/control: Drop ${python3:Depends} from magnum-* binary packages
      as it's covered in python3-magnum.
    - d/control: move python(3)-openstackclient dependency from magnum-api
      Depends to python(3)-magnum Depends.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/python(3)-magnum.post*, d/python(3)-magnum.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-magnum.install: Dropped. Not needed.
    - d/tests/magnum-daemons: Add autopkgtests for magnum daemons.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 May 2018 15:04:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,45 @@
 Source: magnum
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 10),
  dh-python,
- dh-systemd,
- openstack-pkg-tools (>= 53~),
+ openstack-pkg-tools (>= 70~),
  po-debconf,
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools (>= 24.0.0),
- python-sphinx (>= 1.6.2),
+ python3-all,
+ python3-pbr (>= 2.0.0),
+ python3-setuptools (>= 24.0.0),
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
  bandit,
- lsb-release,
  python-alembic (>= 0.8.10),
  python-babel (>= 2.3.4),
  python-barbicanclient (>= 4.0.0),
- python-bashate (>= 0.5.1),
  python-cliff (>= 2.8.0),
  python-coverage (>= 4.0),
  python-cryptography (>= 1.9),
  python-decorator (>= 3.4.0),
  python-doc8 (>= 0.6.0),
- python-docker (>= 1.8.1),
- python-enum34 (>= 1.0.4),
+ python-docker (>= 2.4.2),
  python-eventlet (>= 0.18.2),
  python-fixtures (>= 3.0.0),
  python-glanceclient (>= 1:2.8.0),
- python-greenlet (>= 0.3.2),
  python-hacking (>= 0.12.0),
  python-heatclient (>= 1.10.0),
  python-iso8601 (>= 0.1.11),
- python-jsonpatch (>= 1.16),
- python-kubernetes (>= 2.0.0),
+ python-jsonpatch (>= 1.19+really1.16),
  python-keystoneauth1 (>= 3.3.0),
  python-keystoneclient (>= 1:3.8.0),
  python-keystonemiddleware (>= 4.17.0),
+ python-kubernetes (>= 4.0.0),
  python-marathon (>= 0.8.6),
  python-mock (>= 2.0.0),
  python-netaddr (>= 0.7.18),
@@ -66,44 +64,96 @@
  python-oslo.versionedobjects (>= 1.31.2),
  python-oslotest (>= 1:3.2.0),
  python-osprofiler (>= 1.4.0),
- python-paramiko (>= 2.0),
  python-pecan (>= 1.0.0),
  python-pep8,
- python-prettytable,
  python-pycadf (>= 1.1.0),
  python-requests (>= 2.14.2),
  python-six (>= 1.10.0),
  python-sqlalchemy (>= 1.0.10),
  python-stevedore (>= 1:1.20.0),
- python-subunit (>= 1.0.0),
  python-taskflow (>= 2.16.0),
- python-tempest (>= 1:16.1.0),
- python-testrepository (>= 0.0.18),
  python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
  python-tz (>= 2013.6),
- python-urllib3 (>= 1.15.1),
  python-webob (>= 1:1.7.1),
  python-werkzeug (>= 0.7),
  python-wsme (>= 0.8.0),
  python-yaml (>= 3.10),
+ python3-alembic (>= 0.8.10),
+ python3-babel (>= 2.3.4),
+ python3-barbicanclient (>= 4.0.0),
+ python3-cliff (>= 2.8.0),
+ python3-coverage (>= 4.0),
+ python3-cryptography (>= 1.9),
+ python3-decorator (>= 3.4.0),
+ python3-doc8 (>= 0.6.0),
+ python3-docker (>= 2.4.2),
+ python3-eventlet (>= 0.18.2),
+ python3-fixtures (>= 3.0.0),
+ python3-glanceclient (>= 1:2.8.0),
+ python3-hacking (>= 0.12.0),
+ python3-heatclient (>= 1.10.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-jsonpatch (>= 1.19+really1.16),
+ python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-kubernetes (>= 4.0.0),
+ python3-marathon (>= 0.8.6),
+ python3-mock (>= 2.0.0),
+ python3-netaddr (>= 0.7.18),
+ python3-neutronclient (>= 1:6.3.0),
+ python3-novaclient (>= 2:9.1.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-os-api-ref (>= 1.4.0),
+ python3-os-testr (>= 1.0.0),
+ python3-oslo.concurrency (>= 3.25.0),
+ python3-oslo.config (>= 1:5.1.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.reports (>= 1.18.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslo.versionedobjects (>= 1.31.2),
+ python3-oslotest (>= 1:3.2.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-pecan (>= 1.0.0),
+ python3-pep8,
+ python3-pycadf (>= 1.1.0),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
+ python3-taskflow (>= 2.16.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-tz (>= 2013.6),
+ python3-webob (>= 1:1.7.1),
+ python3-werkzeug (>= 0.7),
+ python3-wsme (>= 0.8.0),
+ python3-yaml (>= 3.10),
  subunit,
  testrepository,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
 Homepage: https://github.com/openstack/magnum
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest-pkg-python
 
 Package: magnum-api
 Architecture: all
 Depends:
+ adduser,
  magnum-common (= ${binary:Version}),
- python-openstackclient,
  q-text-as-data,
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python:Depends},
 Description: OpenStack containers as a service
  Magnum is an OpenStack project which offers container orchestration engines
  for deploying and managing containers as first class resources in OpenStack.
@@ -122,9 +172,8 @@
  adduser,
  dbconfig-common,
  debconf,
- python-magnum (= ${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
+ python-magnum (= ${binary:Version}) | python3-magnum (= ${binary:Version}),
+ ${misc:Depends},
 Description: OpenStack containers as a service - API server
  Magnum is an OpenStack project which offers container orchestration engines
  for deploying and managing containers as first class resources in OpenStack.
@@ -140,10 +189,10 @@
 Package: magnum-conductor
 Architecture: all
 Depends:
+ adduser,
  magnum-common (= ${binary:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python:Depends},
 Description: OpenStack containers as a service - conductor
  Magnum is an OpenStack project which offers container orchestration engines
  for deploying and managing containers as first class resources in OpenStack.
@@ -167,22 +216,21 @@
  python-cliff (>= 2.8.0),
  python-cryptography (>= 1.9),
  python-decorator (>= 3.4.0),
- python-docker (>= 1.8.1),
- python-enum34 (>= 1.0.4),
+ python-docker (>= 2.4.2),
  python-eventlet (>= 0.18.2),
  python-glanceclient (>= 1:2.8.0),
- python-greenlet (>= 0.3.2),
  python-heatclient (>= 1.10.0),
  python-iso8601 (>= 0.1.11),
- python-jsonpatch (>= 1.16),
- python-kubernetes (>= 2.0.0),
+ python-jsonpatch (>= 1.19+really1.16),
  python-keystoneauth1 (>= 3.3.0),
  python-keystoneclient (>= 1:3.8.0),
  python-keystonemiddleware (>= 4.17.0),
+ python-kubernetes (>= 4.0.0),
  python-marathon (>= 0.8.6),
  python-netaddr (>= 0.7.18),
  python-neutronclient (>= 1:6.3.0),
  python-novaclient (>= 2:9.1.0),
+ python-openstackclient,
  python-oslo.concurrency (>= 3.25.0),
  python-oslo.config (>= 1:5.1.0),
  python-oslo.context (>= 1:2.19.2),
@@ -197,11 +245,8 @@
  python-oslo.service (>= 1.24.0),
  python-oslo.utils (>= 3.33.0),
  python-oslo.versionedobjects (>= 1.31.2),
- python-osprofiler (>= 1.4.0),
- python-paramiko (>= 2.0),
  python-pbr (>= 2.0.0),
  python-pecan (>= 1.0.0),
- python-prettytable,
  python-pycadf (>= 1.1.0),
  python-requests (>= 2.14.2),
  python-setuptools (>= 24.0.0),
@@ -209,21 +254,91 @@
  python-sqlalchemy (>= 1.0.10),
  python-stevedore (>= 1:1.20.0),
  python-taskflow (>= 2.16.0),
- python-urllib3 (>= 1.15.1),
  python-webob (>= 1:1.7.1),
  python-werkzeug (>= 0.7),
  python-wsme (>= 0.8.0),
  python-yaml (>= 3.10),
  ${misc:Depends},
  ${python:Depends},
-Description: OpenStack containers as a service - Python library
- Magnum is an OpenStack project which offers container orchestration engines
- for deploying and managing containers as first class resources in OpenStack.
- It features:
-  * Abstractions for bays, containers, nodes, pods, replication controllers,
-    and services
-  * Integration with Kubernetes and Docker for backend container technology
-  * Integration with Keystone for multi-tenant security
-  * Integration with Neutron for Kubernetes multi-tenancy network security
- .
- This package contains the Python code.
+Conflicts:
+ python3-magnum,
+Description: OpenStack containers as a service - Python 2.7 library
+ Magnum is an OpenStack project which offers container orchestration engines
+ for deploying and managing containers as first class resources in OpenStack.
+ It features:
+  * Abstractions for bays, containers, nodes, pods, replication controllers,
+    and services
+  * Integration with Kubernetes and Docker for backend container technology
+  * Integration with Keystone for multi-tenant security
+  * Integration with Neutron for Kubernetes multi-tenancy network security
+ .
+ This package contains the Python 2.7 code.
+
+Package: python3-magnum
+Section: python
+Architecture: all
+Depends:
+ alembic (>= 0.8.10),
+ python3-alembic (>= 0.8.10),
+ python3-babel (>= 2.3.4),
+ python3-barbicanclient (>= 4.0.0),
+ python3-cliff (>= 2.8.0),
+ python3-cryptography (>= 1.9),
+ python3-decorator (>= 3.4.0),
+ python3-docker (>= 2.4.2),
+ python3-eventlet (>= 0.18.2),
+ python3-glanceclient (>= 1:2.8.0),
+ python3-heatclient (>= 1.10.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-jsonpatch (>= 1.19+really1.16),
+ python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-kubernetes (>= 4.0.0),
+ python3-marathon (>= 0.8.6),
+ python3-netaddr (>= 0.7.18),
+ python3-neutronclient (>= 1:6.3.0),
+ python3-novaclient (>= 2:9.1.0),
+ python3-openstackclient,
+ python3-oslo.concurrency (>= 3.25.0),
+ python3-oslo.config (>= 1:5.1.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.reports (>= 1.18.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslo.versionedobjects (>= 1.31.2),
+ python3-pbr (>= 2.0.0),
+ python3-pecan (>= 1.0.0),
+ python3-pycadf (>= 1.1.0),
+ python3-requests (>= 2.14.2),
+ python3-setuptools (>= 24.0.0),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
+ python3-taskflow (>= 2.16.0),
+ python3-webob (>= 1:1.7.1),
+ python3-werkzeug (>= 0.7),
+ python3-wsme (>= 0.8.0),
+ python3-yaml (>= 3.10),
+ ${misc:Depends},
+ ${python3:Depends},
+Conflicts:
+ python-magnum,
+Description: OpenStack containers as a service - Python 3.x library
+ Magnum is an OpenStack project which offers container orchestration engines
+ for deploying and managing containers as first class resources in OpenStack.
+ It features:
+  * Abstractions for bays, containers, nodes, pods, replication controllers,
+    and services
+  * Integration with Kubernetes and Docker for backend container technology
+  * Integration with Keystone for multi-tenant security
+  * Integration with Neutron for Kubernetes multi-tenancy network security
+ .
+ This package contains the Python 3.x code.

=== debian/tests/control ===
Tests: magnum-daemons, magnum-shebangs-py2
Depends: magnum-common, magnum-api, magnum-conductor
Restrictions: needs-root

Tests: magnum-daemons, magnum-shebangs-py3
Depends: python3-magnum, magnum-common, magnum-api, magnum-conductor
Restrictions: needs-root

## magnum 7.0.1

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # ascii betical order.
 
 Babel!=2.4.0,>=2.3.4 # BSD
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 WSME>=0.8.0 # MIT
 WebOb>=1.7.1 # MIT
@@ -15,16 +15,16 @@
 decorator>=3.4.0 # BSD
 docker>=2.4.2 # Apache-2.0
 enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
-eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
+eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 iso8601>=0.1.11 # MIT
 jsonpatch!=1.20,>=1.16 # BSD
-keystoneauth1>=3.3.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
-kubernetes>=4.0.0 # Apache-2.0
+kubernetes>=5.0.0 # Apache-2.0
 marathon!=0.9.1,>=0.8.6 # MIT
 netaddr>=0.7.18 # BSD
-oslo.concurrency>=3.25.0 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
+oslo.concurrency>=3.26.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
@@ -40,16 +40,16 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
-python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0
+python-barbicanclient>=4.5.2 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
-python-neutronclient>=6.3.0 # Apache-2.0
+python-neutronclient>=6.7.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
-setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL
+setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 taskflow>=2.16.0 # Apache-2.0
-cryptography!=2.0,>=1.9 # BSD/Apache-2.0
-Werkzeug>=0.7 # BSD License
+cryptography>=2.1 # BSD/Apache-2.0
+Werkzeug>=0.9 # BSD License

=== debian/changelog ===
magnum (7.0.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Aug 2018 12:45:02 +0000

magnum (7.0.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests-py3.patch: Skip failing Py3 tests.
  * Additional support for Python 3:
    - d/control: Drop python(3)-magnum conflicts on each other.
    - d/python(3)-magnum.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Aug 2018 11:25:37 -0400

=== debian/tests/control ===
Tests: magnum-daemons, magnum-shebangs-py3
Depends: python3-magnum, magnum-common, magnum-api, magnum-conductor
Restrictions: needs-root

Tests: magnum-daemons, magnum-shebangs-py2
Depends: magnum-common, magnum-api, magnum-conductor
Restrictions: needs-root

## magnum 7.1.0

=== requirements.txt ===
--- 
+++ 
@@ -46,6 +46,7 @@
 python-neutronclient>=6.7.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
+python-octaviaclient>=1.6.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
 six>=1.10.0 # MIT

=== debian/changelog ===
magnum (7.1.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: Fix dependencies for new version

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 06 Feb 2019 12:23:21 +0100

magnum (7.0.2-2) unstable; urgency=medium

  * d/control: Bump openstack-pkg-tools to 90
  * Add debconf config
  * Fix fix-py3-compatibility.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 09 Jan 2019 11:23:27 +0100

magnum (7.0.2-1) unstable; urgency=medium

  * New upstream version
  * d/control: Bump openstack-pkg-tools to 89
      - Bump openstack-pkg-tools to 89
      - Add me to uploaders field
  * d/copyright: Add me to copyright file
  * d/patches: Add fix-py3-compatibility.patch (Closes: #914108)
  * d/patches: Fix install-missing-files.patch (Closes: #914107)
  * d/python3-magnum.lintian-overrides:
      - shell-script-fails-syntax-check - False positive
      - python-script-but-no-python-dep - False positive
      - script-not-executable - False positive
      - Above shell and python scripts are not used in debian,
        they are used inside provisioned instances which are
        currently using python2.7.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 19 Nov 2018 16:42:07 +0100

magnum (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 15:49:32 +0200

magnum (7.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist 2 unit tests:
    - drivers.test_heat_driver.TestHeatPoller.test_poll_done()
    - drivers.test_heat_driver.TestHeatPoller.test_poll_destroy()

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 15:03:45 +0200

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 90~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools (>= 24.0.0),
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bandit,
 python3-babel,
 python3-barbicanclient (>= 4.5.2),
 python3-cliff (>= 2.8.0),
 python3-coverage,
 python3-cryptography (>= 2.1),
 python3-decorator (>= 3.4.0),
 python3-doc8,
 python3-docker (>= 2.4.2),
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 0.10.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.19+really1.16),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kubernetes (>= 5.0.0),
 python3-marathon (>= 0.8.6),
 python3-mock,
 python3-netaddr (>= 0.7.13),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.6.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler,
 python3-osprofiler (>= 1.4.0),
 python3-pecan (>= 1.3.2),
 python3-pep8,
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-sqlalchemy,
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-tz,
 python3-webob (>= 1.7.1),
 python3-werkzeug,
 python3-wsme (>= 0.8),
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/magnum
Vcs-Git: https://salsa.debian.org/openstack-team/services/magnum.git
Homepage: https://github.com/openstack/magnum

Package: magnum-api
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-babel,
 python3-barbicanclient (>= 4.5.2),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 2.1),
 python3-decorator (>= 3.4.0),
 python3-docker (>= 2.4.2),
 python3-eventlet,
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.19+really1.16),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kubernetes (>= 5.0.0),
 python3-marathon (>= 0.8.6),
 python3-netaddr (>= 0.7.13),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.6.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.3.2),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-setuptools (>= 24.0.0),
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1.7.1),
 python3-werkzeug,
 python3-wsme (>= 0.8),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-magnum,
Description: OpenStack containers as a service - Python library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.config
	pkgos-merge-templates magnum-api magnum endpoint
	pkgos-merge-templates magnum-common magnum db rabbit ksat

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# See https://storyboard.openstack.org/#!/story/2003565
	# to follow-up on failed tests in Sid (works in Stretch)
	pkgos-dh_auto_test --no-py2 'magnum\.tests\.unit(?!(.*drivers\.test_heat_driver\.TestHeatPoller\.test_poll_done.*|.*drivers\.test_heat_driver\.TestHeatPoller\.test_poll_destroy.*))'
endif

	dh_install --fail-missing
	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \
		--namespace magnum.conf \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_concurrency lock_path /var/lock/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_protocol http

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python3/dist-packages/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT bindir /usr/bin
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lib/magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf api host 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf certificates cert_manager_type barbican
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_messaging_notifications driver messaging
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_version v3

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/policy.json \
		--format json \
		--namespace magnum

	cp etc/magnum/api-paste.ini $(CURDIR)/debian/magnum-common/usr/share/magnum-common

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## magnum 8.0.0~b1~git2019013021.60f97993

=== debian/changelog ===
magnum (8.0.0~b1~git2019013021.60f97993-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 17:35:59 +0000

magnum (8.0.0~b1~git2018111913.b0e114d9-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.
  * d/p/skip-tests-py3.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:30 -0500

## magnum 8.0.0~b1~git2019031833.13e8c11f

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
magnum (8.0.0~b1~git2019031833.13e8c11f-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Mar 2019 16:54:36 +0000
